Windows Vista SP1 and Language Packs

Discussion in 'Windows Vista' started by dlemus, Feb 22, 2008.

  1. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
    Hi,

    I recently did a fresh vista ultimate install from an english dvd distribution (used my hp oem legitimate key) and then installed SP1 RC2 refresh 2 (the one you get from these forums and which is said to be the final SP1).

    Now I'm trying to install a language pack, downloading the versions you get from these forums. When I try to install them I get a message saying:
    "The language can't be selected because the language pack version is incompatible with this version of windows"

    Does anyone have an idea of what's going on? Is this related with the service pack? Is there a way to overcome the problem ... perhaps SP1 versions of the langpacks (btw, windows update doesn't show up any langpack either)

    Please help :(
     
  2. At0mAng

    At0mAng MDL Novice

    Feb 5, 2008
    8
    0
    0
    The language packs are different. You need to apply the SP1 version that has the language pack you want. SP1 comes with a one language, 5 languages and 36 languages versions.

    When I was reading on how to slipstream there was some stuff about the language packs and how they must be installed...

    Find the WAIK from MS and take a look at the readme files. It kind of explains it in there...

    What language pack are you trying to install?
     
  3. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
    spanish and japanese. I think both are in the 5-list, right?

    I already have the sp1 installed, the one you get from these forums.

    http://www.mydigitallife.net/2008/0...andalone-offline-install-package-bt-download/

    There is a high chance I dled the english one.

    Is there a way to fix this so that I can install the language packs? perhaps install the other version of the sp1 over the english one?

    BTW: Remember I installed vista ultimate, then the service pack and NOW I'm trying to install the langpacks (i.e. it is not like I'm trying to apply the SP1 after installing the langpacks).

    Thanks for your help. I will read those readme files you are talking about too :)
     
  4. CreativeMan

    CreativeMan MDL Novice

    Jan 31, 2008
    31
    10
    0
    Hi,

    Why don't you try a rollback by uninstalling SP1 then install your language pack and then reinstall SP1 ?


    Bye,
     
  5. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
    I thought about it, however, I always had the feeling that reinstalling something has impact on performance. I just did a fresh install!!!

    Of course, if there is no solution I will have no other choice ... that's why I'm asking :)

    BTW, I opened the langpack file (7zip manager). From what I see all the folders are refered to pre SP1 versions.
     
  6. chaddawkins

    chaddawkins MDL Senior Member

    Sep 16, 2007
    343
    63
    10
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
  8. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
    Just in case, I confirm I installed 36 languages SP1 version. So, that shouldn't be a problem.
     
  9. China4Ever

    China4Ever Bios Mod.

    Apr 25, 2007
    2,181
    287
    90
    I don't think your 36 languages sp1 version is the RTM but an RC (Release Candidate). I'm waiting the final sp1 exe standalone for my language (italian). ;)
     
  10. chaddawkins

    chaddawkins MDL Senior Member

    Sep 16, 2007
    343
    63
    10
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  11. dlemus

    dlemus MDL Novice

    Jan 27, 2008
    7
    0
    0
    Anyone tried yet to install a language pack after installation of vista sp1? :)
     
  12. YUMYUM9x

    YUMYUM9x MDL Novice

    May 20, 2007
    19
    0
    0
    #14 YUMYUM9x, Feb 26, 2008
    Last edited by a moderator: Apr 20, 2017
  13. guanellaluigi

    guanellaluigi MDL Novice

    Feb 18, 2008
    15
    4
    0
    Just FYI, the current 5-languages SP1 refuses to install if it finds already installed a language pack different from the 5 supported.

    Just tried.